[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Update

Redraws invalidated parts of the control immediately.

## Declaration

Source position: controls.pp line 1742

`public procedure TControl.Update; virtual;`

## Description

Update calls the Update method in the Parent control to refresh the window where the control is hosted. No actions are performed in the method when Parent has not been assigned.

## See also

TControl.Parent |  | The control within which the control is shown.
TWinControl.Update |  | Redraws invalidated parts of the control immediately.
TWinControl.Handle |  | A reference handle to the widgetset class instance associated with this control.